/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JbiConnexion.java 676 2006-06-27 15:44:03Z alouis $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.jms.incoming;

import javax.xml.namespace.QName;

/**
 * This class is used to store information about an internal endpoint
 * accessible throught an external JMS Queue or Topic.
 * 
 * The connection can be with a specific ServiceEndpoint
 * or an interface.
 * 
 * @version $Revision: $ $Date: $
 * @since Petals 1.0
 * @author alouis
 */
public class JbiConnection {

    protected QName serviceName;

    protected String endpointName;

    protected QName interfaceName;

    /**
     * Connection for a specific endpoint
     * @param endpoint
     */
    public JbiConnection(QName serviceName, String endpointName,
        QName interfaceName) {
        this.serviceName = serviceName;
        this.endpointName = endpointName;
        this.interfaceName = interfaceName;
    }

    public String getEndpointName() {
        return endpointName;
    }

    public QName getInterfaceName() {
        return interfaceName;
    }

    public QName getServiceName() {
        return serviceName;
    }

}
