/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * Id : ${file_name} 154 ${date}  rbarraza 
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.smtpbc.mock;

import java.util.Properties;

import javax.mail.Flags;
import javax.mail.Folder;
import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Store;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

import org.objectweb.petals.binding.smtpbc.listeners.MessageMime;

/**
 * 
 * @version $Rev: 250 $Date: {date}
 * @since Petals 1.0
 * @author Rocio BARRAZA - eBMWebsourcing
 * 
 */
public class MockFolder extends javax.mail.Folder {

    protected MockFolder(Store arg0) {
        super(arg0);
    }

    @Override
    public void appendMessages(Message[] arg0) throws MessagingException {

    }

    @Override
    public void close(boolean arg0) throws MessagingException {

    }

    @Override
    public boolean create(int arg0) throws MessagingException {
        return false;
    }

    @Override
    public boolean delete(boolean arg0) throws MessagingException {
        return false;
    }

    @Override
    public boolean exists() throws MessagingException {
        return false;
    }

    @Override
    public Message[] expunge() throws MessagingException {
        return null;
    }

    public javax.mail.Folder getDefaultFolder() throws MessagingException {
        return this;
    }

    @Override
    public javax.mail.Folder getFolder(String arg0) throws MessagingException {
        return this;
    }

    @Override
    public String getFullName() {
        return null;
    }

    @Override
    public Message getMessage(int arg0) throws MessagingException {

        Properties props = System.getProperties();
        String from = "test@test.org";
        String host = "test.com";
        props.put("mail.smtp.user", from);
        props.put("mail.smtp.host", host);

        Session session = Session.getDefaultInstance(props, null);
        session.setDebug(false);
        Message message = new MimeMessage(session);
        return message;
    }

    @Override
    public int getMessageCount() throws MessagingException {
        return 0;
    }

    public Message[] getMessages() throws MessagingException {

        Properties props = System.getProperties();
        String from = "test@test.org";
        String host = "test.com";
        props.put("mail.smtp.user", from);
        props.put("mail.smtp.host", host);

        Session session = Session.getDefaultInstance(props, null);
        session.setDebug(false);
        Message message = new MimeMessage(session);

        message.setFrom(new InternetAddress(from));

        message.addRecipient(javax.mail.Message.RecipientType.TO,
                new InternetAddress("recipient@test.org"));

        message.setSubject("toto");

        MessageMime.simpleMessage((MimeMessage) message, "message fictive",
                null);

        Message[] msgs = {message};
        return msgs;

    }

    @Override
    public String getName() {
        return null;
    }

    @Override
    public Folder getParent() throws MessagingException {
        return null;
    }

    @Override
    public Flags getPermanentFlags() {
        return null;
    }

    @Override
    public char getSeparator() throws MessagingException {
        return 0;
    }

    @Override
    public int getType() throws MessagingException {
        return 0;
    }

    @Override
    public boolean hasNewMessages() throws MessagingException {
        return false;
    }

    @Override
    public boolean isOpen() {
        return false;
    }

    @Override
    public Folder[] list(String arg0) throws MessagingException {
        return null;
    }

    @Override
    public void open(int arg0) throws MessagingException {

    }

    @Override
    public boolean renameTo(Folder arg0) throws MessagingException {
        return false;
    }

}
