/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id:MortgageClient.java 10:42:15 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.gui;

import java.util.logging.Level;
import java.util.logging.Logger;

import org.objectweb.petals.demo.mortgage.gui.gui.Console;

/**
 * This class is the client of the mortgage demonstration
 * TODO : it's just a test for the moment
 * 
 * @author ofabre - eBMWebsourcing
 */
public class JaxWsMortgageClient implements MortgageClient {

    /*
     * Not used for the moment because service location is read from the wsdl.
     * So, web service url must be configured in the workflow wsdl (in src/conf
     * of the mortgage workflow project) !
     */
    /**
     * Wsdl url of the Mortgage Profiler Workflow service
     */
    // private static final String WSDL_URL =
    // "http://localhost:8084/axis2/services/MortgageProfilingService?wsdl";
    /**
     * Port name of the Mortgage Profiler Workflow service
     */
    // private static final String PORT_NAME =
    // "{http://workflow.client.mortgage.demo.petals.objectweb.org/}MortgageProfilingPort";
    private Console console;

    protected Logger logger = Logger.getLogger(this.getClass().toString());

    /**
     * Submit the mortgage request with customer personnal information (mortgage
     * requester). A JaxWs generated client is used to send the SOAP request.
     * 
     * @param firstName
     *            The first name of the customer
     * @param lastName
     *            The last name of the customer
     * @param address
     *            The address of the customer
     * @param salary
     *            The salary of the customer
     * @param propertyTaxes
     *            Property Taxes of the customer
     * @param insurrance
     *            Amount of insurrance of the customer
     * @param autoPayment
     *            All the auto payment of the customer
     * @param creditCards
     *            Amount of the credit cards of the customer
     * @param otherPayments
     *            Other payments (credits, subscriptions...) of the customer
     */
    public void submit(String firstName, String lastName, String address,
            String salary, String propertyTaxes, String insurrance,
            String autoPayment, String creditCards, String otherPayments) {
        logger.log(Level.INFO, "");
//        try {
//            /*
//             * Create Port java binding
//             */
//            /*
//             * Not used for the moment because service location is read from the
//             * wsdl. So, web service url must be configured in the workflow wsdl
//             * (in src/conf of the workflow project) ! URL wsdlLocation = new
//             * URL(WSDL_URL); QName portQName = new QName(PORT_NAME);
//             */
//            MortgageProfiling port = new MortgageProfilingService()
//                    .getMortgageProfilingPort();
//
//            /*
//             * Create mortgage request object
//             */
//            MortgageRequest mortgageRequest = createMortgageRequest(firstName,
//                    lastName, address, salary, propertyTaxes, insurrance,
//                    autoPayment, creditCards, otherPayments);
//
//            /*
//             * send the request
//             */
//            MortgageResponse response = port.orchestrate(mortgageRequest);
//
//            /*
//             * Create the string response and print it on the console
//             */
//            String stringResponse = createStringResponse(response);
//            console.setResponse(stringResponse);
//
//        } catch (Exception e) {
//            logger.log(Level.SEVERE, e.getMessage());
//        }
    }

    /**
     * Create a MortgageRequest object setted with the customer information.
     * 
     * @param firstName
     *            The first name of the customer
     * @param lastName
     *            The last name of the customer
     * @param address
     *            The address of the customer
     * @param salary
     *            The salary of the customer
     * @param propertyTaxes
     *            Property Taxes of the customer
     * @param insurrance
     *            Amount of insurrance of the customer
     * @param autoPayment
     *            All the auto payment of the customer
     * @param creditCards
     *            Amount of the credit cards of the customer
     * @param otherPayments
     *            Other payments (credits, subscriptions...) of the customer
     * @return A <code>MortgageRequest</code> object. Must not be null.
     */
//    protected MortgageRequest createMortgageRequest(String firstName,
//            String lastName, String address, String salary,
//            String propertyTaxes, String insurrance, String autoPayment,
//            String creditCards, String otherPayments) {
//        MortgageRequest mortgageRequest = new MortgageRequest();
//        mortgageRequest.setAddress(address);
//        mortgageRequest.setAutoPayment(new Float(autoPayment).floatValue());
//        mortgageRequest.setCreditCards(new Float(creditCards).floatValue());
//        mortgageRequest.setFirstName(firstName);
//        mortgageRequest.setInsurance(new Float(insurrance).floatValue());
//        mortgageRequest.setLastName(lastName);
//        mortgageRequest.setOtherPayments(new Float(otherPayments).floatValue());
//        mortgageRequest.setPropertyTaxes(new Float(propertyTaxes).floatValue());
//        mortgageRequest.setSalary(new Float(salary).floatValue());
//        return mortgageRequest;
//    }
//
//    /**
//     * Create a response message that have to be print into the response text
//     * box of the Console. This response is based on customer firstname and
//     * lastname and mortgage rate included in the MortgageResponse.
//     * 
//     * @param response
//     *            The <code>MortgageResponse</code> bo
//     * @return a <code>String</code> response message
//     */
//    protected String createStringResponse(MortgageResponse response) {
//        String stringResponse = "ERROR";
//
//        String firstName = response.getFirstName();
//
//        String lastName = response.getLastName();
//
//        float rate = response.getMortgageRate();
//
//        if (rate < 0) {
//            stringResponse = "Mortgage refused for the customer " + lastName
//                    + " " + firstName;
//        } else {
//            stringResponse = "Mortgage accepted for the customer " + lastName
//                    + " " + firstName + " with the following rate : " + rate;
//        }
//
//        return stringResponse;
//    }

    public Console getConsole() {
        return console;
    }

    public void setConsole(Console console) {
        this.console = console;
    }

}
