/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ComponentDescriptionTest.java 3:24:01 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import java.util.ArrayList;
import java.util.List;

import org.objectweb.petals.tools.jbicommon.descriptor.ComponentDescription;
import org.objectweb.petals.tools.jbicommon.descriptor.SharedLibraryList;

import junit.framework.TestCase;

/**
 * Test of the ComponentDescription
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ComponentDescriptionTest extends TestCase {

    public void testGetters() {
        ComponentDescription componentDescription = new ComponentDescription();
        componentDescription.setBootstrapClassLoaderDelegation("parentfirst");
        assertEquals(componentDescription.getBootstrapClassLoaderDelegation(),
            "parentfirst");
        componentDescription.setBootstrapClassName("classname");
        assertEquals(componentDescription.getBootstrapClassName(), "classname");
        componentDescription.setComponentClassLoaderDelegation("selffirst");
        assertEquals(componentDescription.getComponentClassLoaderDelegation(),
            "selffirst");
        componentDescription.setComponentClassName("compo");
        assertEquals(componentDescription.getComponentClassName(), "compo");
        componentDescription.setInstallationDescriptorExtension(null);
        assertNull(componentDescription.getInstallationDescriptorExtension());
        List<SharedLibraryList> sls = new ArrayList<SharedLibraryList>();
        componentDescription.setSharedLibraryList(sls);
        assertEquals(componentDescription.getSharedLibraryList(), sls);
        componentDescription.setType("binding-component");
        assertEquals(componentDescription.getType(), "binding-component");
        assertTrue(componentDescription.isBindingComponent());
        assertFalse(componentDescription.isServiceEngine());

        List<String> classpath = new ArrayList<String>();
        componentDescription.setBootstrapClassPath(classpath);
        assertEquals(classpath, componentDescription.getBootstrapClassPath());
        componentDescription.setComponentClassPath(classpath);
        assertEquals(classpath, componentDescription.getComponentClassPath());
        Identification identification = new Identification();
        componentDescription.setIdentification(identification);
        assertEquals(identification, componentDescription.getIdentification());
    }

}
