/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ConnectionTest.java 3:30:32 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import javax.xml.namespace.QName;

import org.objectweb.petals.tools.jbicommon.descriptor.Connection;

import junit.framework.TestCase;

/**
 * Test of the Connection
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ConnectionTest extends TestCase {

    public void testGetters() {
        Connection connection = new Connection();
        connection.setConsumerEndpointName("endpoint1");
        assertEquals(connection.getConsumerEndpointName(), "endpoint1");
        connection.setConsumerInterfaceName(new QName("consInter"));
        assertEquals(connection.getConsumerInterfaceName(), new QName(
            "consInter"));
        connection.setConsumerServiceName(new QName("consServ"));
        assertEquals(connection.getConsumerServiceName(), new QName("consServ"));
        connection.setProviderEndpointName("endpoint2");
        assertEquals(connection.getProviderEndpointName(), "endpoint2");
        connection.setProviderServiceName(new QName("provServ"));
        assertEquals(connection.getProviderServiceName(), new QName("provServ"));
    }

}
