/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ConsumesTest.java 17:23:26 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import javax.xml.namespace.QName;

import org.objectweb.petals.tools.jbicommon.descriptor.Consumes;

import junit.framework.TestCase;

/**
 * Tests of Consumes
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ConsumesTest extends TestCase {

    public void testGetters() {
        Consumes consumes = new Consumes();
        consumes.setEndpointName("endpoint:test");
        assertEquals(consumes.getEndpointName(), "endpoint:test");
        consumes.setInterfaceName(new QName("interfacename"));
        assertEquals(consumes.getInterfaceName(), new QName("interfacename"));
        consumes.setLinkType("type");
        assertEquals(consumes.getLinkType(), "type");
        consumes.setServiceName(new QName("service"));
        assertEquals(consumes.getServiceName(), new QName("service"));
    }

    public void testIsHardLink() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setEndpointName(null);
        assertFalse(consumes.isHardLink());
    }

    public void testIsHardLink1() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setEndpointName("endpoint");
        consumes.setLinkType(Consumes.HARD_LINK_TYPE);
        assertTrue(consumes.isHardLink());
    }

    public void testIsSoftLink() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setEndpointName("endpoint");
        consumes.setLinkType(Consumes.SOFT_LINK_TYPE);
        assertTrue(consumes.isSoftLink());
    }

    public void testIsSoftLink1() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setLinkType(Consumes.SOFT_LINK_TYPE);
        assertFalse(consumes.isSoftLink());
    }

    public void testIsStandardLink1() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setLinkType(Consumes.STANDARD_LINK_TYPE);
        assertFalse(consumes.isStandardLink());
    }

    public void testIsStandardLink() {
        Consumes consumes = new Consumes();
        consumes.setServiceName(new QName("service"));
        consumes.setEndpointName("endpoint");
        consumes.setLinkType(Consumes.STANDARD_LINK_TYPE);
        assertTrue(consumes.isStandardLink());
    }
}
