/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServicesTest.java 3:17:30 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbicommon.descriptor;

import java.util.ArrayList;
import java.util.List;

import org.objectweb.petals.tools.jbicommon.descriptor.Consumes;
import org.objectweb.petals.tools.jbicommon.descriptor.Provides;
import org.objectweb.petals.tools.jbicommon.descriptor.Services;

import junit.framework.TestCase;

/**
 * Tests of the Services
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ServicesTest extends TestCase {

    public void testGetters() {
        Services services = new Services();
        services.setBindingComponent(true);
        assertTrue(services.isBindingComponent());
        List<Consumes> consumes = new ArrayList<Consumes>();
        consumes.add(new Consumes());
        services.setConsumes(consumes);
        assertEquals(consumes, services.getConsumes());
        List<Provides> provides = new ArrayList<Provides>();
        provides.add(new Provides());
        services.setProvides(provides);
        assertEquals(provides, services.getProvides());
    }

}
